## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.16.0
%bcond check 1

# https://github.com/go-acme/lego
%global goipath         github.com/go-acme/lego/v4
Version:                4.23.1

%gometa -L -f

%global common_description %{expand:
Let's Encrypt client and ACME library written in Go.}

Name:           golang-github-acme-lego
Release:        %autorelease
Summary:        Let's Encrypt client and ACME library written in Go

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT AND MPL-2.0 AND UPL-1.0
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

BuildRequires:  go-vendor-tools

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
%gobuild -o %{gobuilddir}/bin/lego %{goipath}/cmd/lego

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
for test in "TestDNSProviderManual" "TestLookupNameserversOK" "TestFindZoneByFqdnCustom" \
            "TestFindPrimaryNsByFqdnCustom" "TestCheckDNSPropagation" "TestCheckAuthoritativeNss" \
            "TestCheckAuthoritativeNssErr"  "TestDNSProvider_findZone" "TestDNSProvider_FindZoneAndRecordName" \
            "TestPresentNoExistingRR" "TestPresentWithExistingRR" "TestPresentSkipExistingRR" \
            "TestRemoveRecord_errors" "TestAddTXTRecord_errors" "TestDNSProvider_concurrentGetDNSEntries" \
            "TestDNSProvider_concurrentAddDNSEntry" "TestClient_GetZone" "TestClient_GetDomainInformation" \
            "TestNewDNSProvider" "TestDNSProvider_Present" "TestDNSProvider_CleanUp" \
            "TestPresent_httpStorage" "TestRegister_httpStorage" "TestHTTPStorage_Fetch" \
            "TestHTTPStorage_FetchAll" "TestHTTPStorage_Put" "TestHTTPStorage_Put_CNAME_created" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
# TODO Review otc
%gocheck -d github.com/go-acme/lego/v4/providers/dns/axelname/internal \
         -d github.com/go-acme/lego/v4/providers/dns/bookmyname/internal \
         -d github.com/go-acme/lego/v4/providers/dns/conoha \
         -d github.com/go-acme/lego/v4/providers/dns/constellix/internal \
         -d github.com/go-acme/lego/v4/providers/dns/dynu/internal \
         -d github.com/go-acme/lego/v4/providers/dns/f5xc/internal \
         -d github.com/go-acme/lego/v4/providers/dns/internal/active24 \
         -d github.com/go-acme/lego/v4/providers/dns/manageengine/internal \
         -d github.com/go-acme/lego/v4/providers/dns/metaregistrar/internal \
         -d github.com/go-acme/lego/v4/providers/dns/myaddr/internal \
         -d github.com/go-acme/lego/v4/providers/dns/otc \
         -d github.com/go-acme/lego/v4/providers/dns/rainyun/internal \
         -d github.com/go-acme/lego/v4/providers/dns/sakuracloud \
         -d github.com/go-acme/lego/v4/providers/dns/selfhostde/internal \
         -d github.com/go-acme/lego/v4/providers/dns/spaceship/internal \
         -d github.com/go-acme/lego/v4/providers/dns/technitium/internal \
         -d github.com/go-acme/lego/v4/providers/dns/timewebcloud/internal \
         -d github.com/go-acme/lego/v4/providers/dns/westcn/internal \
         -d github.com/go-acme/lego/v4/providers/dns/zoneee
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc docs CHANGELOG.md CONTRIBUTING.md README.md
%{_bindir}/lego

%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.23.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Mon Jul 07 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.23.1-1
- Update to 4.23.1 and adopt Go Vendor Tools - Closes rhbz#2316415
  rhbz#2340266 rhbz#2375622

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 03 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.18.0-1
- Update to 4.18.0 - Closes rhbz#2309384

* Mon Jul 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.17.4-4
- Update to 4.17.4 - Closes rhbz#2009869 rhbz#2171504 rhbz#2268886
  rhbz#2294003 rhbz#2225838

* Mon Jul 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.17.4-3
- Update to 4.17.4 - Closes rhbz#2009869 rhbz#2171504 rhbz#2268886
  rhbz#2294003 rhbz#2225838

* Mon Jul 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.17.4-2
- Update to 4.17.4 - Closes rhbz#2009869 rhbz#2171504 rhbz#2268886
  rhbz#2294003 rhbz#2225838

* Mon Jul 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.17.4-1
- Update to 4.17.4 - Closes rhbz#2009869 rhbz#2171504 rhbz#2268886
  rhbz#2294003 rhbz#2225838

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 4.4.0-15
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 4.4.0-9
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 4.4.0-7
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.4.0-6
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.4.0-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> - 4.4.0-4
- Rebuilt for CVE-2022-27191

* Tue Feb 22 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.4.0-3
- Fix FTBFS with patch to use last desec Close: rhbz#2045465

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 04 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.4.0-1
- Update to 4.4.0 Close: rhbz#1969647

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 14:18:16 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.3.1-1
- Update to 4.3.1
- Close: rhbz#1920128

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 07 05:57:57 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.3-1
- Update to 4.1.3
- Close: rhbz#1874670

* Fri Aug 21 17:53:08 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.8.0-3
- Add patch to remove obsoleted linodego version

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 00:27:19 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.8.0-1
- Update to 3.8.0

* Thu Apr 02 18:22:42 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.5.0-1
- Update to 3.5.0

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 02 2019 Carl George <carl@george.computer> - 2.7.2-1
- Latest upstream v2

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 02 16:35:24 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.5.0-1
- Initial package

## END: Generated by rpmautospec
